# vim: ts=4 et sts=4 sw=4 autoindent

from sndcs_common.Config import Config
import os, sys
from sndcs_common.Win32HelperMixin import Win32HelperMixin

win32_helper = Win32HelperMixin()

if win32_helper.main_is_frozen():
    filenames = [os.path.join(win32_helper.get_main_dir(), "config", "sndcs2.conf")]
elif os.name=="nt":
    filenames = [os.path.join(sys.prefix, "etc", "sndcs", "sndcs2.conf"), os.path.expanduser(os.path.join("~", ".sndcs2.conf")), os.path.join(".", "sndcs2.conf"), os.path.join(".", "config", "sndcs2.conf")]
elif os.environ.has_key("APP_BUNDLER"):
    filenames = [ "/".join(__file__.split("/")[:-2]) + "/sndcs2.conf" ]
else:
    filenames = [os.path.join("/etc", "sndcs", "sndcs2.conf"), os.path.expanduser(os.path.join("~", ".sndcs2.conf")), os.path.join(".", "sndcs2.conf")]

config = Config(filenames)
